Bug 18652 - Translatability: Get rid of tt directive in translation for uncertainprice.tt
Summary: Translatability: Get rid of tt directive in translation for uncertainprice.tt
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Marc Véron
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-05-22 19:08 UTC by Marc Véron
Modified: 2017-09-15 22:58 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18652: Get rid of tt directive in translation for uncertainprice.tt (1.63 KB, patch)
2017-05-22 19:17 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 18652: Get rid of tt directive in translation for uncertainprice.tt (1.73 KB, patch)
2017-05-28 10:07 UTC, Alex Buckley
Details | Diff | Splinter Review
Bug 18652: Get rid of tt directive in translation for uncertainprice.tt (1.83 KB, patch)
2017-06-02 09:27 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 18652: Get rid of tt directive in translation for uncertainprice.tt (1.97 KB, patch)
2017-06-09 14:35 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 18652: Get rid of tt directive in translation for uncertainprice.tt (1.82 KB, patch)
2017-06-09 15:23 UTC, Marc Véron
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 18652: Get rid of tt directive in translation for uncertainprice.tt (1.88 KB, patch)
2017-08-01 14:42 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 18652: Get rid of tt directive in translation for uncertainprice.tt (1.95 KB, patch)
2017-08-30 19:35 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Véron 2017-05-22 19:08:30 UTC
Translation tool shows toe following for ncertainprice.tt

0; url=[% scriptname %]?booksellerid=[% booksellerid %]
Comment 1 Marc Véron 2017-05-22 19:17:41 UTC
Created attachment 63639 [details] [review]
Bug 18652: Get rid of tt directive in translation for uncertainprice.tt

Translation tool shows toe following for ncertainprice.tt
0; url=[% scriptname %]?booksellerid=[% booksellerid %]

This patch fixes it.

To test:
- Apply patch
- Verify that code change makes sense
- Verify that Home > Acquisitions > [vendor] > Uncertain prices for [vendor]
  works as before
Comment 2 Alex Buckley 2017-05-28 10:07:30 UTC
Created attachment 63772 [details] [review]
Bug 18652: Get rid of tt directive in translation for uncertainprice.tt

Translation tool shows toe following for ncertainprice.tt
0; url=[% scriptname %]?booksellerid=[% booksellerid %]

This patch fixes it.

To test:
- Apply patch
- Verify that code change makes sense
- Verify that Home > Acquisitions > [vendor] > Uncertain prices for [vendor]
  works as before

Followed test plan and patch worked as intended
Signed-off-by: Alex Buckley <alexbuckley@catalyst.net.nz>
Comment 3 Marcel de Rooy 2017-06-02 09:27:30 UTC
Created attachment 63931 [details] [review]
Bug 18652: Get rid of tt directive in translation for uncertainprice.tt

Translation tool shows toe following for ncertainprice.tt
0; url=[% scriptname %]?booksellerid=[% booksellerid %]

This patch fixes it.

To test:
- Apply patch
- Verify that code change makes sense
- Verify that Home > Acquisitions > [vendor] > Uncertain prices for [vendor]
  works as before

Followed test plan and patch worked as intended
Signed-off-by: Alex Buckley <alexbuckley@catalyst.net.nz>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 4 Jonathan Druart 2017-06-09 12:30:44 UTC
I am not sure this patch is correct, and a chat with cait did not satisfy my feeling

See the following for fr-FR (I searched for 'scriptname')

Before bug 18652:
10158 #. META http-equiv=Refresh
10159 #: intranet-tmpl/prog/en/modules/acqui/uncertainprice.tt:41
10160 msgid "0; url=[% scriptname %]?booksellerid=[% booksellerid %]"
10161 msgstr "0; url=[% scriptname %]?booksellerid=[% booksellerid %]"


After bug 18652 and translate update:
 1090 #. %1$s:  INCLUDE 'acquisitions-toolbar.inc'.
 1091 #. %2$s:  IF ( validate ).
 1092 #. %3$s:  BLOCK metacontent.
 1093 #. %4$s:  scriptname.
 1094 #. %5$s:  booksellerid.
 1095 #. %6$s:  END.
 1096 #: intranet-tmpl/prog/en/modules/acqui/uncertainprice.tt:37
 1097 #, fuzzy, c-format
 1098 msgid "%s %s %s0; url=%s?booksellerid=%s%s "
 1099 msgstr "%s %s %s %s (fermé) %s "

That looks worst.
Comment 5 Marc Véron 2017-06-09 14:35:58 UTC
Created attachment 64141 [details] [review]
Bug 18652: Get rid of tt directive in translation for uncertainprice.tt

Translation tool shows toe following for ncertainprice.tt
0; url=[% scriptname %]?booksellerid=[% booksellerid %]

This patch fixes it.

To test:
- Apply patch
- Verify that code change makes sense
- Verify that Home > Acquisitions > [vendor] > Uncertain prices for [vendor]
  works as before

Followed test plan and patch worked as intended
Signed-off-by: Alex Buckley <alexbuckley@catalyst.net.nz>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>

Amended to switch from BLOCK to a template variable, see comment #5
Additional test (for a langunage 'aa-AA')
perl translate create aa-AA
verify that line 41 no longer appears in aa-AA-staff-prog.po
Comment 6 Marc Véron 2017-06-09 14:38:38 UTC
Not sure where to set status now - setting it to SO 
Please set it to NSO if an other Sign off is needed.
Comment 7 Jonathan Druart 2017-06-09 15:02:42 UTC
The patch has been rewritten, Signed-off-by lines should not be kept.
Comment 8 Marc Véron 2017-06-09 15:23:28 UTC
Created attachment 64151 [details] [review]
Bug 18652: Get rid of tt directive in translation for uncertainprice.tt

Translation tool shows toe following for ncertainprice.tt
0; url=[% scriptname %]?booksellerid=[% booksellerid %]

This patch fixes it.

To test:
- Apply patch
- Verify that code change makes sense
- Verify that Home > Acquisitions > [vendor] > Uncertain prices for [vendor]
  works as before

- Additional test (for a langunage 'aa-AA')
  perl translate create aa-AA
  verify that line 41 no longer appears in aa-AA-staff-prog.po

Amended to switch from BLOCK to a template variable, see comment #5
Comment 9 Marc Véron 2017-07-20 08:12:45 UTC
Still applies on current master
Comment 10 Owen Leonard 2017-08-01 14:42:22 UTC
Created attachment 65399 [details] [review]
[SIGNED-OFF] Bug 18652: Get rid of tt directive in translation for uncertainprice.tt

Translation tool shows toe following for ncertainprice.tt
0; url=[% scriptname %]?booksellerid=[% booksellerid %]

This patch fixes it.

To test:
- Apply patch
- Verify that code change makes sense
- Verify that Home > Acquisitions > [vendor] > Uncertain prices for [vendor]
  works as before

- Additional test (for a langunage 'aa-AA')
  perl translate create aa-AA
  verify that line 41 no longer appears in aa-AA-staff-prog.po

Amended to switch from BLOCK to a template variable, see comment #5

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 11 Jonathan Druart 2017-08-30 19:35:40 UTC
Created attachment 66641 [details] [review]
Bug 18652: Get rid of tt directive in translation for uncertainprice.tt

Translation tool shows toe following for ncertainprice.tt
0; url=[% scriptname %]?booksellerid=[% booksellerid %]

This patch fixes it.

To test:
- Apply patch
- Verify that code change makes sense
- Verify that Home > Acquisitions > [vendor] > Uncertain prices for [vendor]
  works as before

- Additional test (for a langunage 'aa-AA')
  perl translate create aa-AA
  verify that line 41 no longer appears in aa-AA-staff-prog.po

Amended to switch from BLOCK to a template variable, see comment #5

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 12 Jonathan Druart 2017-08-30 19:58:32 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 13 Fridolin SOMERS 2017-09-12 12:51:57 UTC
Pushed to 17.05.x, will be in 17.05.04.

Nice work
Comment 14 Katrin Fischer 2017-09-15 22:58:58 UTC
This patch has been pushed to 16.11.x and will be in 16.11.12.